Utility for working with Records

### Hierarchy

- RecordUtil

## Index

### Methods

- isRecord
- newRecord
- unionRight

## Methods

### Static isRecord

- isRecord(o: any): boolean

- - Defined in models/RecordUtil.ts:19

  #### Parameters

  - ##### o: any

  #### Returns boolean

### Static newRecord

- newRecord(id: string, properties: Property[], annotations?: DataAnnotation[]): Record

- - Defined in models/RecordUtil.ts:15

  #### Parameters

  - ##### id: string

  - ##### properties: Property[]

  - ##### Default value annotations: DataAnnotation[] = []

  #### Returns Record

### Static unionRight

- unionRight(l1: Array<Property>, l2: Array<Property>): Array<Property>

- - Defined in models/RecordUtil.ts:23

  #### Parameters

  - ##### l1: Array<Property>

  - ##### l2: Array<Property>

  #### Returns Array<Property>

Generated using TypeDoc